# LevelMutex.cpp File Reference

Contains functions needed by LevelMutex class. More...

`#include <loki/LevelMutex.h>`
`#include <algorithm>`
`#include <cerrno>`

Include dependency graph for LevelMutex.cpp:

## Namespaces

namespace | Loki

## Functions

unsigned int | Loki::GetCurrentThreadsLevel (void)
unsigned int | Loki::CountMutexesInCurrentThread (void)
unsigned int | Loki::CountLocksInCurrentThread (void)
unsigned int | Loki::CountMutexesAtCurrentLevel (void)
MutexErrors::Type | Loki::DoMutexesMatchContainer (const LevelMutexInfo::MutexContainer &mutexes)

## Detailed Description

Contains functions needed by LevelMutex class.